> ## Documentation Index
> Fetch the complete documentation index at: https://developer.copper.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ClearLoop Portfolio by Id



## OpenAPI

````yaml /copper-open-api-public.json get /clearloop/portfolios/{portfolioId}
openapi: 3.1.0
info:
  description: >-
    Copper API is based on the REST API interface provided for data exchange
    between a client and a server with the use of HTTPS requests and responses.

    By default, the request should include a Content-Type header set as
    application/json. Some requests require different header fields, as well as
    other Content-Type values. In this case, a proper header will be stated in
    an example.

    When interacting with the API, please note that all numerical values, such
    as order amounts or timestamps, should be transmitted as strings. This
    ensures consistent data representation and prevents potential issues with
    floating-point precision
  title: Copper Platform API
  version: latest
servers:
  - description: platform.copper.co
    url: https://api.copper.co/platform
  - description: demo.copper.co
    url: https://api.stage.copper.co/platform
  - description: testnet.copper.co
    url: https://api.testnet.copper.co/platform
security: []
tags:
  - name: reports
  - name: deposit-targets
  - name: lending
  - name: portfolios
  - name: wallets
  - name: network
  - name: stake
  - name: blockchain
  - name: organizations
  - name: files
  - name: orders
  - name: address-book
  - name: clearloop
  - name: currencies
paths:
  /clearloop/portfolios/{portfolioId}:
    get:
      tags:
        - clearloop
      summary: Get ClearLoop Portfolio by Id
      parameters:
        - in: path
          name: portfolioId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClearLoopPortfolioResponse'
          description: OK
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - bad-request
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Bad Request
        '403':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - forbidden
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Forbidden
        '409':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - conflict
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Conflict
components:
  schemas:
    ClearLoopPortfolioResponse:
      properties:
        clientAccountId:
          description: >-
            Identifier of the client account associated with the ClearLoop
            portfolio
          type: string
        custodyType:
          $ref: '#/components/schemas/PortfolioCustodyType'
          description: >-
            Custody type of the ClearLoop portfolio, which indicates how the
            portfolio is held by the custodian. Possible values include
            `segregated-trust-wallet`, `clearloop-omnibus`, and `external`..
            [See details](/enums/PortfolioCustodyType)
        delegationsEnabled:
          description: >-
            Indicates whether delegations are enabled for the ClearLoop
            portfolio
          type: boolean
        disabledDelegationsReason:
          description: >-
            Reason why delegations are disabled for the ClearLoop portfolio.
            Example: `CL-SETTLEMENTS-1`, which means that delegation is disabled
            due to an upcoming or pending settlement
          type: string
        disabledUndelegationsReason:
          description: >-
            Reason why undelegations are disabled for the ClearLoop portfolio.
            Example: `CL-SETTLEMENTS-1`, which means that undelegation is
            disabled due to an upcoming or pending settlement
          type: string
        organizationId:
          description: >-
            Identifier of the client organisation holding the ClearLoop
            portfolio
          type: string
        portfolioId:
          description: Identifier of the ClearLoop portfolio
          type: string
        settlementDetails:
          $ref: '#/components/schemas/PortfolioSettlementDetails'
          description: Settlement details associated with the ClearLoop portfolio
          type: object
        settlementStatus:
          $ref: '#/components/schemas/PortfolioSettlementStatus'
          description: >-
            Settlement status of the last settlement cycle. [See
            details](/enums/PortfolioSettlementStatus)
        undelegationsEnabled:
          description: >-
            Indicates whether undelegations are enabled for the ClearLoop
            portfolio
          type: boolean
      type: object
    PortfolioCustodyType:
      enum:
        - segregated-trust-wallet
        - clearloop-omnibus
        - external
      type: string
    PortfolioSettlementDetails:
      properties:
        comments:
          description: Optional comments, for example, reason for exclusion
          type: string
        status:
          $ref: '#/components/schemas/PortfolioSettlementStatus'
          description: >-
            Settlement status of the ClearLoop portfolio. [See
            details](/enums/PortfolioSettlementStatus)
      type: object
    PortfolioSettlementStatus:
      enum:
        - not-yet-settled
        - eligibility-checks
        - awaiting-exchange-calculation
        - in-progress
        - order-processing
        - completed
        - failed
        - excluded
        - paused-copper
        - disabled
      type: string

````